Opened 15 months ago

Closed 7 months ago

Last modified 5 days ago

#3593 closed bug (Fixed)

Deluge GTK segmentation fault

Reported by: homedirectory Owned by:
Priority: minor Milestone: 2.1.2
Component: GTK UI Version: 2.1.0
Keywords: gtk, segfault Cc: mihawk90

Description

Upon launching deluge-gtk I get a segmentation fault, which I have linked to the "show_piecesbar" option in gtk3ui.conf. This option, when set to true, causes the segfault. Mind that both web and console versions work fine. I'm currently able to work around this by setting "show_piecesbar" to false.

Here is the output of deluge -L debug:

08:22:00 [DEBUG   ][deluge.configmanager:91  ] Getting config: ui.conf
08:22:00 [DEBUG   ][deluge.config:203 ] Setting key "default_ui" to: gtk (of type: <class 'str'>)
08:22:00 [DEBUG   ][deluge.config:441 ] Config /home/jjnkn/.config/deluge/ui.conf version: 1.1 loaded: {'default_ui': 'gtk'}
08:22:00 [INFO    ][deluge.ui.ui_entry:66  ] Deluge ui 2.1.1
08:22:00 [INFO    ][deluge.i18n.util  :101 ] Setting up translations from /usr/lib/python3.10/site-packages/deluge/i18n
08:22:00 [INFO    ][deluge.ui.ui      :68  ] Deluge ui 2.1.1
08:22:00 [DEBUG   ][deluge.ui.ui      :69  ] options: Namespace(config=None, logfile=None, loglevel='debug', logrotate=None, quiet=False, profile=False, torrents=[], remaining=[])
08:22:00 [INFO    ][deluge.ui.ui      :70  ] Starting gtk ui..
08:22:01 [INFO    ][deluge.i18n.util                  :101 ] Setting up translations from /usr/lib/python3.10/site-packages/deluge/i18n
08:22:01 [DEBUG   ][deluge.ui.gtk3.common             :285 ] gconf not available, so will not attempt to register magnet URI handler
08:22:01 [DEBUG   ][deluge.configmanager              :91  ] Getting config: gtk3ui.conf
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "standalone" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "interactive_add" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "focus_add_dialog" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "enable_system_tray" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "close_to_tray" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "start_in_tray" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "enable_appindicator" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "lock_tray" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "tray_password" to:  (of type: <class 'str'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "check_new_releases" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "default_load_path" to: None (of type: <class 'NoneType'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "window_maximized" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "window_x_pos" to: 0 (of type: <class 'int'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "window_y_pos" to: 0 (of type: <class 'int'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "window_width" to: 640 (of type: <class 'int'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "window_height" to: 480 (of type: <class 'int'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "pref_dialog_width" to: None (of type: <class 'NoneType'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "pref_dialog_height" to: None (of type: <class 'NoneType'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "edit_trackers_dialog_width" to: None (of type: <class 'NoneType'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "edit_trackers_dialog_height" to: None (of type: <class 'NoneType'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "tray_download_speed_list" to: [5.0, 10.0, 30.0, 80.0, 300.0] (of type: <class 'list'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "tray_upload_speed_list" to: [5.0, 10.0, 30.0, 80.0, 300.0] (of type: <class 'list'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "connection_limit_list" to: [50, 100, 200, 300, 500] (of type: <class 'list'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "enabled_plugins" to: [] (of type: <class 'list'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "show_connection_manager_on_start" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "autoconnect" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "autoconnect_host_id" to: None (of type: <class 'NoneType'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "autostart_localhost" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "autoadd_queued" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "choose_directory_dialog_path" to: /home/jjnkn/Downloads (of type: <class 'str'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "show_new_releases" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "show_sidebar" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "show_toolbar" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "show_statusbar" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "show_tabsbar" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "tabsbar_tab_pos" to: top (of type: <class 'str'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "tabsbar_position" to: 235 (of type: <class 'int'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "sidebar_show_zero" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "sidebar_show_trackers" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "sidebar_show_owners" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "sidebar_position" to: 170 (of type: <class 'int'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "show_rate_in_title" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "createtorrent.trackers" to: [] (of type: <class 'list'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "show_piecesbar" to: False (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "detect_urls" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "pieces_color_missing" to: [65535, 0, 0] (of type: <class 'list'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "pieces_color_waiting" to: [4874, 56494, 0] (of type: <class 'list'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "pieces_color_downloading" to: [65535, 55255, 0] (of type: <class 'list'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "pieces_color_completed" to: [4883, 26985, 56540] (of type: <class 'list'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "focus_main_window_on_add" to: True (of type: <class 'bool'>)
08:22:01 [DEBUG   ][deluge.config                     :203 ] Setting key "language" to: None (of type: <class 'NoneType'>)
08:22:01 [DEBUG   ][deluge.config                     :441 ] Config /home/jjnkn/.config/deluge/gtk3ui.conf version: 1.1 loaded: {'standalone': True, 'interactive_add': True, 'focus_add_dialog': True, 'enable_system_tray': True, 'close_to_tray': False, 'start_in_tray': False, 'enable_appindicator': False, 'lock_tray': False, 'tray_password': '', 'check_new_releases': True, 'default_load_path': '/mnt/big/torrents', 'window_maximized': True, 'window_x_pos': 167, 'window_y_pos': 60, 'window_width': 1368, 'window_height': 850, 'pref_dialog_width': 745, 'pref_dialog_height': 557, 'edit_trackers_dialog_width': 726, 'edit_trackers_dialog_height': 439, 'tray_download_speed_list': [5.0, 10.0, 30.0, 80.0, 10000.0], 'tray_upload_speed_list': [5.0, 10.0, 30.0, 80.0, 300.0], 'connection_limit_list': [50, 100, 200, 300, 500], 'enabled_plugins': [], 'show_connection_manager_on_start': True, 'autoconnect': False, 'autoconnect_host_id': None, 'autostart_localhost': False, 'autoadd_queued': False, 'choose_directory_dialog_path': '/home/jjnkn/Downloads', 'show_new_releases': False, 'show_sidebar': True, 'show_toolbar': True, 'show_statusbar': True, 'show_tabsbar': True, 'tabsbar_tab_pos': 'top', 'tabsbar_position': 490, 'sidebar_show_zero': False, 'sidebar_show_trackers': True, 'sidebar_show_owners': True, 'sidebar_position': 170, 'show_rate_in_title': True, 'createtorrent.trackers': [], 'show_piecesbar': True, 'detect_urls': False, 'pieces_color_missing': [65535, 0, 0], 'pieces_color_waiting': [4874, 56494, 0], 'pieces_color_downloading': [65535, 55255, 0], 'pieces_color_completed': [4883, 26985, 56540], 'focus_main_window_on_add': True, 'language': None}
08:22:01 [DEBUG   ][deluge.configmanager              :91  ] Getting config: gtk3ui.conf
08:22:01 [DEBUG   ][deluge.ui.gtk3.ipcinterface       :112 ] Checking if lockfile exists: /home/jjnkn/.config/deluge/ipc/deluge-gtk.lock
08:22:01 [DEBUG   ][deluge.ui.gtk3.ipcinterface       :176 ] Processing args from other process: []
08:22:01 [DEBUG   ][deluge.ui.gtk3.ipcinterface       :179 ] Not connected to host.. Adding to queue.
08:22:01 [DEBUG   ][deluge.ui.sessionproxy            :30  ] SessionProxy init..
08:22:01 [DEBUG   ][deluge.configmanager              :91  ] Getting config: gtk3ui.conf
08:22:01 [DEBUG   ][deluge.config                     :346 ] Registering function for show_rate_in_title key..
08:22:01 [DEBUG   ][deluge.ui.gtk3.menubar            :29  ] MenuBar init..
08:22:01 [DEBUG   ][deluge.configmanager              :91  ] Getting config: gtk3ui.conf
08:22:01 [DEBUG   ][deluge.ui.gtk3.toolbar            :22  ] ToolBar Init..
08:22:01 [DEBUG   ][deluge.configmanager              :91  ] Getting config: gtk3ui.conf
08:22:01 [DEBUG   ][deluge.ui.gtk3.listview           :125 ] ListView initialized..
08:22:01 [INFO    ][deluge.ui.gtk3.common             :361 ] Opening torrentview.state for load: /home/jjnkn/.config/deluge/gtk3ui_state/torrentview.state
08:22:01 [INFO    ][deluge.ui.gtk3.common             :368 ] Successfully loaded torrentview.state: /home/jjnkn/.config/deluge/gtk3ui_state/torrentview.state
08:22:01 [DEBUG   ][deluge.ui.gtk3.torrentview        :248 ] TorrentView Init..
08:22:01 [INFO    ][deluge.ui.gtk3.common             :361 ] Opening tabs.state for load: /home/jjnkn/.config/deluge/gtk3ui_state/tabs.state
08:22:01 [INFO    ][deluge.ui.gtk3.common             :368 ] Successfully loaded tabs.state: /home/jjnkn/.config/deluge/gtk3ui_state/tabs.state
08:22:01 [DEBUG   ][deluge.configmanager              :91  ] Getting config: gtk3ui.conf
08:22:01 [DEBUG   ][deluge.config                     :346 ] Registering function for show_piecesbar key..
Segmentation fault (core dumped)

And here is the output of a GDB session:

(~) -> gdb --args python /usr/bin/deluge
...
(gdb) run
Starting program: /usr/bin/python /usr/bin/deluge
Downloading separate debug info for system-supplied DSO at 0x7ffff7fc8000
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
Downloading separate debug info for /usr/lib/python3.10/site-packages/zope/interface/_zope_interface_coptimizations.cpython-310-x86_64-linux-gnu.so
[Detaching after vfork from child process 4576]
Downloading separate debug info for /usr/lib/liblz4.so.1
Downloading separate debug info for /usr/lib/python3.10/site-packages/setproctitle/_setproctitle.cpython-310-x86_64-linux-gnu.so
[Detaching after vfork from child process 4577]
[Detaching after vfork from child process 4578]
Downloading separate debug info for /usr/lib/libvorbisfile.so.3
Downloading separate debug info for /usr/lib/libvorbis.so.0
Downloading separate debug info for /usr/lib/libogg.so.0
[New Thread 0x7ffff07ff6c0 (LWP 4579)]
[New Thread 0x7fffefffe6c0 (LWP 4580)]
[New Thread 0x7fffef7fd6c0 (LWP 4581)]
Downloading separate debug info for /usr/lib/python3.10/site-packages/_cffi_backend.cpython-310-x86_64-linux-gnu.so
Downloading separate debug info for /usr/lib/python3.10/site-packages/rencode/_rencode.cpython-310-x86_64-linux-gnu.so
Downloading separate debug info for /usr/lib/python3.10/site-packages/PIL/_imaging.cpython-310-x86_64-linux-gnu.so
Downloading separate debug info for /usr/lib/libopenjp2.so.7
Downloading separate debug info for /usr/lib/libstartup-notification-1.so.0
[New Thread 0x7fffed7ff6c0 (LWP 4582)]
[Thread 0x7fffed7ff6c0 (LWP 4582) exited]
[New Thread 0x7fffed7ff6c0 (LWP 4583)]
[New Thread 0x7fffeceb76c0 (LWP 4584)]
[Thread 0x7fffed7ff6c0 (LWP 4583) exited]
[Thread 0x7fffeceb76c0 (LWP 4584) exited]
[New Thread 0x7fffeceb76c0 (LWP 4585)]
[New Thread 0x7fffed7ff6c0 (LWP 4586)]
[New Thread 0x7fffd7fff6c0 (LWP 4587)]
[Thread 0x7fffed7ff6c0 (LWP 4586) exited]
[Thread 0x7fffd7fff6c0 (LWP 4587) exited]

Thread 1 "deluge-gtk" received signal SIGSEGV, Segmentation fault.
__strlen_avx2 () at ../sysdeps/x86_64/multiarch/strlen-avx2.S:76
76              VPCMPEQ (%rdi), %ymm0, %ymm1

System and Deluge and versions:

(~) -> deluge --version
deluge 2.1.1
libtorrent: 2.0.8.0
Python: 3.10.10
OS: Linux Arch Linux
(~) -> uname -a
Linux station 6.2.6-arch1-1 #1 SMP PREEMPT_DYNAMIC Mon, 13 Mar 2023 17:02:08 +0000 x86_64 GNU/Linux

Change History (7)

comment:1 Changed 15 months ago by pescepalla

Can confirm this also happens on my system, another Arch Linux laptop. The suggested workaround restores functionality.

$ deluge --version && uname -a
deluge 2.1.1
libtorrent: 2.0.8.0
Python: 3.10.10
OS: Linux Arch Linux rolling n/a
Linux stellaris 6.2.6-arch1-1 #1 SMP PREEMPT_DYNAMIC Mon, 13 Mar 2023 17:02:08 +0000 x86_64 GNU/Linux

comment:2 Changed 15 months ago by hockeymikey

Same issue here and another Arch user.

deluge 2.1.1
libtorrent: 2.0.8.0
Python: 3.10.10
OS: Linux Arch Linux rolling n/a
Linux Blah 6.2.6-AMD-znver2 #1 SMP PREEMPT_DYNAMIC Mon Mar 13 11:15:32 CDT 2023 x86_64 GNU/Linux

comment:3 Changed 15 months ago by keepitsimpleengineer

Same issue here with Manjaro

deluge 2.1.1
libtorrent: 2.0.8.0
Python: 3.10.10
OS: Linux Manjaro Linux 22.1.0 Talos
Linux KISE-055 6.1.21-1-MANJARO #1 SMP PREEMPT_DYNAMIC Wed Mar 22 21:14:13 UTC 2023 x86_64 GNU/Linux

comment:4 Changed 15 months ago by ThinkRedstone

Same issue here with Arch:

deluge 2.1.1
libtorrent: 2.0.8.0
Python: 3.10.10
OS: Linux Arch Linux rolling n/a

Setting "show_piecesbar" to false in ~/.config/deluge/gtk3ui.conf solved the issue.

comment:5 Changed 8 months ago by grigoriynikolaev

Same here on Debian testing, same workaround:

deluge 2.1.2.dev0
libtorrent: 2.0.9.0
Python: 3.11.6
OS: Linux Debian GNU/Linux n/a trixie
Linux debtop 6.1.0-9-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.27-1 (2023-05-08) x86_64 GNU/Linux

Except gdb output is different. When I just run it I get:

(gdb) run
Starting program: /usr/bin/python /usr/bin/deluge
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
Traceback (most recent call last):
  File "/usr/bin/deluge", line 5, in <module>
    from deluge.ui.ui_entry import start_ui
ImportError: No module named deluge.ui.ui_entry
[Inferior 1 (process 56973) exited with code 01]
(gdb) bt
No stack.
(gdb)

And if I specify python3:

(gdb) run
Starting program: /usr/bin/python3 /usr/bin/deluge
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Detaching after vfork from child process 58101]
[Detaching after vfork from child process 58116]
[New Thread 0x7ffff0dff6c0 (LWP 58117)]
[New Thread 0x7fffebfff6c0 (LWP 58118)]
[New Thread 0x7fffeb7fe6c0 (LWP 58119)]
[New Thread 0x7fffe99ff6c0 (LWP 58120)]
[Thread 0x7fffe99ff6c0 (LWP 58120) exited]
[New Thread 0x7fffe99ff6c0 (LWP 58121)]
[New Thread 0x7fffe91fe6c0 (LWP 58122)]
[Thread 0x7fffe99ff6c0 (LWP 58121) exited]
[New Thread 0x7fffe99ff6c0 (LWP 58123)]
[Thread 0x7fffe91fe6c0 (LWP 58122) exited]
[New Thread 0x7fffe91fe6c0 (LWP 58124)]
[Thread 0x7fffe99ff6c0 (LWP 58123) exited]
[New Thread 0x7fffe99ff6c0 (LWP 58125)]
[Thread 0x7fffe91fe6c0 (LWP 58124) exited]
[New Thread 0x7fffe91fe6c0 (LWP 58126)]
[New Thread 0x7fffe88896c0 (LWP 58127)]
[Thread 0x7fffe91fe6c0 (LWP 58126) exited]
[New Thread 0x7fffe91fe6c0 (LWP 58128)]
[New Thread 0x7fffd3fff6c0 (LWP 58129)]
[Thread 0x7fffe88896c0 (LWP 58127) exited]
[Thread 0x7fffe91fe6c0 (LWP 58128) exited]
[New Thread 0x7fffe91fe6c0 (LWP 58130)]
[Thread 0x7fffd3fff6c0 (LWP 58129) exited]
[New Thread 0x7fffd3fff6c0 (LWP 58131)]
[Thread 0x7fffe91fe6c0 (LWP 58130) exited]
[New Thread 0x7fffe91fe6c0 (LWP 58132)]
[New Thread 0x7fffe88896c0 (LWP 58133)]
[Thread 0x7fffd3fff6c0 (LWP 58131) exited]
[Thread 0x7fffe91fe6c0 (LWP 58132) exited]
[Thread 0x7fffe88896c0 (LWP 58133) exited]

Thread 1 "deluge-gtk" received signal SIGSEGV, Segmentation fault.
__strlen_sse2 () at ../sysdeps/x86_64/multiarch/strlen-sse2.S:142
142	../sysdeps/x86_64/multiarch/strlen-sse2.S: Нет такого файла или каталога.
(gdb) bt
#0  __strlen_sse2 () at ../sysdeps/x86_64/multiarch/strlen-sse2.S:142
#1  0x00007ffff5136587 in g_strdup () at /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ffff416e033 in pango_font_description_copy () at /lib/x86_64-linux-gnu/libpango-1.0.so.0
#3  0x00007ffff6e8df7a in  () at /lib/x86_64-linux-gnu/libffi.so.8
#4  0x00007ffff6e8d40e in  () at /lib/x86_64-linux-gnu/libffi.so.8
#5  0x00007ffff6e8db0d in ffi_call () at /lib/x86_64-linux-gnu/libffi.so.8
#6  0x00007ffff5d2ade6 in  () at /usr/lib/python3/dist-packages/gi/_gi.cpython-311-x86_64-linux-gnu.so
#7  0x00007ffff5d21658 in  () at /usr/lib/python3/dist-packages/gi/_gi.cpython-311-x86_64-linux-gnu.so
#8  0x00007ffff5d257f5 in  () at /usr/lib/python3/dist-packages/gi/_gi.cpython-311-x86_64-linux-gnu.so
#9  0x0000000000513dbb in _PyObject_MakeTpCall ()
#10 0x0000000000527efa in _PyEval_EvalFrameDefault ()
#11 0x000000000051ba37 in _PyObject_FastCallDictTstate ()
#12 0x000000000055cb2b in  ()
#13 0x0000000000513cb5 in _PyObject_MakeTpCall ()
#14 0x0000000000527efa in _PyEval_EvalFrameDefault ()
#15 0x000000000051ba37 in _PyObject_FastCallDictTstate ()
#16 0x000000000055cb2b in  ()
#17 0x0000000000513cb5 in _PyObject_MakeTpCall ()
#18 0x0000000000527efa in _PyEval_EvalFrameDefault ()
#19 0x000000000051ba37 in _PyObject_FastCallDictTstate ()
#20 0x000000000055cb2b in  ()
#21 0x0000000000513cb5 in _PyObject_MakeTpCall ()
#22 0x0000000000527efa in _PyEval_EvalFrameDefault ()
#23 0x000000000051ba37 in _PyObject_FastCallDictTstate ()
#24 0x000000000055cb2b in  ()
#25 0x0000000000513cb5 in _PyObject_MakeTpCall ()
#26 0x0000000000527efa in _PyEval_EvalFrameDefault ()
#27 0x0000000000554605 in _PyFunction_Vectorcall ()
#28 0x000000000052bdfd in _PyEval_EvalFrameDefault ()
#29 0x00000000005fdb6f in PyEval_EvalCode ()
#30 0x000000000061888b in  ()
--Type <RET> for more, q to quit, c to continue without paging--
#31 0x0000000000615663 in  ()
#32 0x0000000000627256 in  ()
#33 0x0000000000626fc1 in _PyRun_SimpleFileObject ()
#34 0x0000000000626dd8 in _PyRun_AnyFileObject ()
#35 0x00000000006256cb in Py_RunMain ()
#36 0x00000000005f0f2b in Py_BytesMain ()
#37 0x00007ffff7cc16ca in __libc_start_call_main (main=main@entry=0x5f0e90, argc=argc@entry=2, argv=argv@entry=0x7fffffffe7c8)
    at ../sysdeps/nptl/libc_start_call_main.h:58
#38 0x00007ffff7cc1785 in __libc_start_main_impl
    (main=0x5f0e90, argc=2, argv=0x7fffffffe7c8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffffffe7b8) at ../csu/libc-start.c:360
#39 0x00000000005f0dc1 in _start ()
(gdb) 

comment:6 Changed 8 months ago by mihawk90

  • Cc mihawk90 added

Came here to report the exact same thing, on Fedora 38, except I didn't have the option turned on initially, but the segfault occurs as soon as I turn it on.

GDB Coredump:

z% coredumpctl debug 725919
           PID: 725919 (deluge-gtk)
           UID: 1000 (tarulia)
           GID: 1000 (tarulia)
        Signal: 11 (SEGV)
     Timestamp: Sun 2023-11-05 07:57:34 CET (6min ago)
  Command Line: deluge-gtk
    Executable: /usr/bin/python3.11
 Control Group: /user.slice/user-1000.slice/user@1000.service/app.slice/app-konsole-a4a904ca2b7b4d46a7cc26ea8cfdafbc.scope
          Unit: user@1000.service
     User Unit: app-konsole-a4a904ca2b7b4d46a7cc26ea8cfdafbc.scope
         Slice: user-1000.slice
     Owner UID: 1000 (tarulia)
       Boot ID: 20dedbcb094741398cb1050fe0652b45
    Machine ID: 59caa6fd447b4e35acb2dd53e7f7a4c5
      Hostname: fedora
       Storage: /var/lib/systemd/coredump/core.deluge-gtk.1000.20dedbcb094741398cb1050fe0652b45.725919.1699167454000000.zst (present)
  Size on Disk: 16.0M
       Package: python3.11/3.11.6-1.fc38
      build-id: 68dbf1c2fdfa0701964120231a7af395fae67499
       Message: Process 725919 (deluge-gtk) of user 1000 dumped core.
                
                Module libpixbufloader-ico.so from rpm gdk-pixbuf2-2.42.10-2.fc38.x86_64
                Module libdconfsettings.so from rpm dconf-0.40.0-8.fc38.x86_64
                Module libgioremote-volume-monitor.so from rpm gvfs-1.50.6-1.fc38.x86_64
                Module libX11-xcb.so.1 from rpm libX11-1.8.7-1.fc38.x86_64
                Module libxcb-util.so.1 from rpm xcb-util-0.4.1-2.fc38.x86_64
                Module libXRes.so.1 from rpm libXres-1.2.1-4.fc38.x86_64
                Module libwnck-3.so.0 from rpm libwnck3-43.0-4.fc38.x86_64
                Module librsvg-2.so.2 from rpm librsvg2-2.56.3-1.fc38.x86_64
                Module libpixbufloader-svg.so from rpm librsvg2-2.56.3-1.fc38.x86_64
                Module libcolorreload-gtk-module.so from rpm kde-gtk-config-5.27.8-1.fc38.x86_64
                Module libgvfscommon.so from rpm gvfs-1.50.6-1.fc38.x86_64
                Module libgvfsdbus.so from rpm gvfs-1.50.6-1.fc38.x86_64
                Module libdbus-glib-1.so.2 from rpm dbus-glib-0.112-5.fc38.x86_64
                Module libgconf-2.so.4 from rpm GConf2-3.2.6-37.fc38.x86_64
                Module libsharpyuv.so.0 from rpm libwebp-1.3.2-2.fc38.x86_64
                Module libjbig.so.2.1 from rpm jbigkit-2.1-25.fc38.x86_64
                Module libLerc.so.4 from rpm liblerc-4.0.0-3.fc38.x86_64
                Module libwebp.so.7 from rpm libwebp-1.3.2-2.fc38.x86_64
                Module libtiff.so.5 from rpm libtiff-4.4.0-8.fc38.x86_64
                Module libimagequant.so.0 from rpm libimagequant-2.17.0-4.fc38.x86_64
                Module libopenjp2.so.7 from rpm openjpeg2-2.5.0-5.fc38.x86_64
                Module _imaging.cpython-311-x86_64-linux-gnu.so from rpm python-pillow-9.4.0-2.fc38.x86_64
                Module _rencode.cpython-311-x86_64-linux-gnu.so from rpm python-rencode-1.0.6-20.fc38.x86_64
                Module termios.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module unicodedata.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module legacy.so from rpm openssl-3.0.9-2.fc38.x86_64
                Module _cffi_backend.cpython-311-x86_64-linux-gnu.so from rpm python-cffi-1.15.1-4.fc38.x86_64
                Module _openssl.abi3.so from rpm python-cryptography-37.0.2-8.fc38.x86_64
                Module libjson-glib-1.0.so.0 from rpm json-glib-1.6.6-4.fc38.x86_64
                Module libatspi.so.0 from rpm at-spi2-core-2.48.3-1.fc38.x86_64
                Module libtracker-sparql-3.0.so.0 from rpm tracker-3.5.3-2.fc38.x86_64
                Module libcloudproviders.so.0 from rpm libcloudproviders-0.3.2-1.fc38.x86_64
                Module libatk-bridge-2.0.so.0 from rpm at-spi2-core-2.48.3-1.fc38.x86_64
                Module libatk-1.0.so.0 from rpm at-spi2-core-2.48.3-1.fc38.x86_64
                Module libgtk-3.so.0 from rpm gtk3-3.24.38-1.fc38.x86_64
                Module libpangoft2-1.0.so.0 from rpm pango-1.50.14-1.fc38.x86_64
                Module libXinerama.so.1 from rpm libXinerama-1.1.5-2.fc38.x86_64
                Module libXrandr.so.2 from rpm libXrandr-1.5.2-10.fc38.x86_64
                Module libXcomposite.so.1 from rpm libXcomposite-0.4.5-9.fc38.x86_64
                Module libXfixes.so.3 from rpm libXfixes-6.0.0-5.fc38.x86_64
                Module libXdamage.so.1 from rpm libXdamage-1.1.5-9.fc38.x86_64
                Module libXcursor.so.1 from rpm libXcursor-1.2.1-3.fc38.x86_64
                Module libXi.so.6 from rpm libXi-1.8.1-1.fc38.x86_64
                Module libwayland-egl.so.1 from rpm wayland-1.22.0-1.fc38.x86_64
                Module libwayland-cursor.so.0 from rpm wayland-1.22.0-1.fc38.x86_64
                Module libwayland-client.so.0 from rpm wayland-1.22.0-1.fc38.x86_64
                Module libxkbcommon.so.0 from rpm libxkbcommon-1.5.0-2.fc38.x86_64
                Module libpangocairo-1.0.so.0 from rpm pango-1.50.14-1.fc38.x86_64
                Module libepoxy.so.0 from rpm libepoxy-1.5.10-3.fc38.x86_64
                Module libgdk-3.so.0 from rpm gtk3-3.24.38-1.fc38.x86_64
                Module libjpeg.so.62 from rpm libjpeg-turbo-2.1.4-2.fc38.x86_64
                Module libgdk_pixbuf-2.0.so.0 from rpm gdk-pixbuf2-2.42.10-2.fc38.x86_64
                Module libdatrie.so.1 from rpm libdatrie-0.2.13-5.fc38.x86_64
                Module libthai.so.0 from rpm libthai-0.1.29-4.fc38.x86_64
                Module libfribidi.so.0 from rpm fribidi-1.0.12-3.fc38.x86_64
                Module libpango-1.0.so.0 from rpm pango-1.50.14-1.fc38.x86_64
                Module _cairo.cpython-311-x86_64-linux-gnu.so from rpm pycairo-1.23.0-2.fc38.x86_64
                Module libbrotlicommon.so.1 from rpm brotli-1.0.9-11.fc38.x86_64
                Module libgraphite2.so.3 from rpm graphite2-1.3.14-11.fc38.x86_64
                Module libXau.so.6 from rpm libXau-1.0.11-2.fc38.x86_64
                Module libbrotlidec.so.1 from rpm brotli-1.0.9-11.fc38.x86_64
                Module libharfbuzz.so.0 from rpm harfbuzz-7.1.0-1.fc38.x86_64
                Module libxml2.so.2 from rpm libxml2-2.10.4-1.fc38.x86_64
                Module libpixman-1.so.0 from rpm pixman-0.42.2-1.fc38.x86_64
                Module libxcb-shm.so.0 from rpm libxcb-1.13.1-11.fc38.x86_64
                Module libxcb-render.so.0 from rpm libxcb-1.13.1-11.fc38.x86_64
                Module libxcb.so.1 from rpm libxcb-1.13.1-11.fc38.x86_64
                Module libXrender.so.1 from rpm libXrender-0.9.11-2.fc38.x86_64
                Module libXext.so.6 from rpm libXext-1.3.5-2.fc38.x86_64
                Module libX11.so.6 from rpm libX11-1.8.7-1.fc38.x86_64
                Module libfreetype.so.6 from rpm freetype-2.13.0-2.fc38.x86_64
                Module libfontconfig.so.1 from rpm fontconfig-2.14.2-1.fc38.x86_64
                Module libpng16.so.16 from rpm libpng-1.6.37-14.fc38.x86_64
                Module libcairo-gobject.so.2 from rpm cairo-1.17.8-4.fc38.x86_64
                Module libcairo.so.2 from rpm cairo-1.17.8-4.fc38.x86_64
                Module _gi_cairo.cpython-311-x86_64-linux-gnu.so from rpm pygobject3-3.44.1-1.fc38.x86_64
                Module libblkid.so.1 from rpm util-linux-2.38.1-4.fc38.x86_64
                Module libselinux.so.1 from rpm libselinux-3.5-1.fc38.x86_64
                Module libmount.so.1 from rpm util-linux-2.38.1-4.fc38.x86_64
                Module libgio-2.0.so.0 from rpm glib2-2.76.5-2.fc38.x86_64
                Module libgmodule-2.0.so.0 from rpm glib2-2.76.5-2.fc38.x86_64
                Module libpcre2-8.so.0 from rpm pcre2-10.42-1.fc38.1.x86_64
                Module libgobject-2.0.so.0 from rpm glib2-2.76.5-2.fc38.x86_64
                Module libgirepository-1.0.so.1 from rpm gobject-introspection-1.76.1-1.fc38.x86_64
                Module libglib-2.0.so.0 from rpm glib2-2.76.5-2.fc38.x86_64
                Module _gi.cpython-311-x86_64-linux-gnu.so from rpm pygobject3-3.44.1-1.fc38.x86_64
                Module libboost_python311.so.1.78.0 from rpm boost-1.78.0-14.fc38.x86_64
                Module libtorrent-rasterbar.so.2.0 from rpm rb_libtorrent-2.0.9-1.fc38.x86_64
                Module libtorrent.cpython-311-x86_64-linux-gnu.so from rpm rb_libtorrent-2.0.9-1.fc38.x86_64
                Module setproctitle.cpython-311-x86_64-linux-gnu.so from rpm python-setproctitle-1.2.3-3.fc38.x86_64
                Module libffi.so.8 from rpm libffi-3.4.4-2.fc38.x86_64
                Module _ctypes.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module liblz4.so.1 from rpm lz4-1.9.4-2.fc38.x86_64
                Module libzstd.so.1 from rpm zstd-1.5.5-1.fc38.x86_64
                Module libcap.so.2 from rpm libcap-2.48-6.fc38.x86_64
                Module libsystemd.so.0 from rpm systemd-253.12-1.fc38.x86_64
                Module libdbus-1.so.3 from rpm dbus-1.14.10-1.fc38.x86_64
                Module _dbus_bindings.so from rpm dbus-python-1.3.2-2.fc38.x86_64
                Module libuuid.so.1 from rpm util-linux-2.38.1-4.fc38.x86_64
                Module _uuid.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _json.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _pickle.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _zope_interface_coptimizations.cpython-311-x86_64-linux-gnu.so from rpm python-zope-interface-5.5.2-2.fc38.x86_64
                Module _asyncio.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _contextvars.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module libssl.so.3 from rpm openssl-3.0.9-2.fc38.x86_64
                Module _ssl.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module libb2.so.1 from rpm libb2-0.98.1-8.fc38.x86_64
                Module _blake2.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module libcrypto.so.3 from rpm openssl-3.0.9-2.fc38.x86_64
                Module _hashlib.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module grp.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _posixsubprocess.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module fcntl.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _queue.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _heapq.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _opcode.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module libexpat.so.1 from rpm expat-2.5.0-2.fc38.x86_64
                Module pyexpat.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _typing.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _datetime.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module array.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module select.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _socket.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _sha512.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _random.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _bisect.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module math.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _struct.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module liblzma.so.5 from rpm xz-5.4.1-1.fc38.x86_64
                Module _lzma.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module libbz2.so.1 from rpm bzip2-1.0.8-13.fc38.x86_64
                Module _bz2.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module zlib.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module libz.so.1 from rpm zlib-1.2.13-3.fc38.x86_64
                Module binascii.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module _csv.cpython-311-x86_64-linux-gnu.so from rpm python3.11-3.11.6-1.fc38.x86_64
                Module libpython3.11.so.1.0 from rpm python3.11-3.11.6-1.fc38.x86_64
                Module python3.11 from rpm python3.11-3.11.6-1.fc38.x86_64
                Stack trace of thread 725919:
                #0  0x00007fe53dd7fd1d __strlen_avx2 (libc.so.6 + 0x15dd1d)
                #1  0x00007fe52dd30b3d g_strdup (libglib-2.0.so.0 + 0x79b3d)
                #2  0x00007fe52cc03d9d pango_font_description_copy (libpango-1.0.so.0 + 0x14d9d)
                #3  0x00007fe52e91ebe6 ffi_call_unix64 (libffi.so.8 + 0x7be6)
                #4  0x00007fe52e91b4bf ffi_call_int.lto_priv.0 (libffi.so.8 + 0x44bf)
                #5  0x00007fe52e91e18e ffi_call (libffi.so.8 + 0x718e)
                #6  0x00007fe52fcbd6eb pygi_invoke_c_callable (_gi.cpython-311-x86_64-linux-gnu.so + 0x2f6eb)
                #7  0x00007fe52fcbc03a _wrap_g_callable_info_invoke (_gi.cpython-311-x86_64-linux-gnu.so + 0x2e03a)
                #8  0x00007fe52fcaf5c6 _callable_info_call (_gi.cpython-311-x86_64-linux-gnu.so + 0x215c6)
                #9  0x00007fe53dfb2173 _PyObject_MakeTpCall (libpython3.11.so.1.0 + 0x1b2173)
                #10 0x00007fe53dfba996 _PyEval_EvalFrameDefault (libpython3.11.so.1.0 + 0x1ba996)
                #11 0x00007fe53dfb6bba _PyEval_Vector (libpython3.11.so.1.0 + 0x1b6bba)
                #12 0x00007fe53dfb4eef _PyObject_FastCallDictTstate (libpython3.11.so.1.0 + 0x1b4eef)
                #13 0x00007fe53dfded53 slot_tp_init (libpython3.11.so.1.0 + 0x1ded53)
                #14 0x00007fe53dfb238b type_call (libpython3.11.so.1.0 + 0x1b238b)
                #15 0x00007fe53dfb2173 _PyObject_MakeTpCall (libpython3.11.so.1.0 + 0x1b2173)
                #16 0x00007fe53dfba996 _PyEval_EvalFrameDefault (libpython3.11.so.1.0 + 0x1ba996)
                #17 0x00007fe53dfb6bba _PyEval_Vector (libpython3.11.so.1.0 + 0x1b6bba)
                #18 0x00007fe53dff2e80 method_vectorcall (libpython3.11.so.1.0 + 0x1f2e80)
                #19 0x00007fe53dfbecf9 _PyEval_EvalFrameDefault (libpython3.11.so.1.0 + 0x1becf9)
                #20 0x00007fe53dfb6bba _PyEval_Vector (libpython3.11.so.1.0 + 0x1b6bba)
                #21 0x00007fe53dff2fbf method_vectorcall (libpython3.11.so.1.0 + 0x1f2fbf)
                #22 0x00007fe52fcbc702 _pygi_closure_handle (_gi.cpython-311-x86_64-linux-gnu.so + 0x2e702)
                #23 0x00007fe52e91e711 ffi_closure_unix64_inner (libffi.so.8 + 0x7711)
                #24 0x00007fe52e91ee08 ffi_closure_unix64 (libffi.so.8 + 0x7e08)
                #25 0x00007fe52dd13dc9 g_timeout_dispatch (libglib-2.0.so.0 + 0x5cdc9)
                #26 0x00007fe52dd134fc g_main_context_dispatch (libglib-2.0.so.0 + 0x5c4fc)
                #27 0x00007fe52dd716b8 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xba6b8)
                #28 0x00007fe52dd12aff g_main_loop_run (libglib-2.0.so.0 + 0x5baff)
                #29 0x00007fe52c206975 gtk_main (libgtk-3.so.0 + 0x206975)
                #30 0x00007fe52e91ebe6 ffi_call_unix64 (libffi.so.8 + 0x7be6)
                #31 0x00007fe52e91b4bf ffi_call_int.lto_priv.0 (libffi.so.8 + 0x44bf)
                #32 0x00007fe52e91e18e ffi_call (libffi.so.8 + 0x718e)
                #33 0x00007fe52fcbd6eb pygi_invoke_c_callable (_gi.cpython-311-x86_64-linux-gnu.so + 0x2f6eb)
                #34 0x00007fe52fcbc03a _wrap_g_callable_info_invoke (_gi.cpython-311-x86_64-linux-gnu.so + 0x2e03a)
                #35 0x00007fe53dfe0459 _PyObject_Call (libpython3.11.so.1.0 + 0x1e0459)
                #36 0x00007fe53dfbecf9 _PyEval_EvalFrameDefault (libpython3.11.so.1.0 + 0x1becf9)
                #37 0x00007fe53dfb6bba _PyEval_Vector (libpython3.11.so.1.0 + 0x1b6bba)
                #38 0x00007fe53dfbecf9 _PyEval_EvalFrameDefault (libpython3.11.so.1.0 + 0x1becf9)
                #39 0x00007fe53dfb6bba _PyEval_Vector (libpython3.11.so.1.0 + 0x1b6bba)
                #40 0x00007fe53e03b15c PyEval_EvalCode (libpython3.11.so.1.0 + 0x23b15c)
                #41 0x00007fe53e058413 run_eval_code_obj (libpython3.11.so.1.0 + 0x258413)
                #42 0x00007fe53e054a7a run_mod (libpython3.11.so.1.0 + 0x254a7a)
                #43 0x00007fe53e06a632 pyrun_file (libpython3.11.so.1.0 + 0x26a632)
                #44 0x00007fe53e069e18 _PyRun_SimpleFileObject (libpython3.11.so.1.0 + 0x269e18)
                #45 0x00007fe53e069aa8 _PyRun_AnyFileObject (libpython3.11.so.1.0 + 0x269aa8)
                #46 0x00007fe53e0638ec Py_RunMain (libpython3.11.so.1.0 + 0x2638ec)
                #47 0x00007fe53e02b48b Py_BytesMain (libpython3.11.so.1.0 + 0x22b48b)
                #48 0x00007fe53dc49b8a __libc_start_call_main (libc.so.6 + 0x27b8a)
                #49 0x00007fe53dc49c4b __libc_start_main@@GLIBC_2.34 (libc.so.6 + 0x27c4b)
                #50 0x0000564cf316e095 _start (python3.11 + 0x1095)
                
                Stack trace of thread 725930:
                #0  0x00007fe53dd2cb4d syscall (libc.so.6 + 0x10ab4d)
                #1  0x00007fe52dd690b0 g_cond_wait_until (libglib-2.0.so.0 + 0xb20b0)
                #2  0x00007fe52dcde103 g_async_queue_pop_intern_unlocked (libglib-2.0.so.0 + 0x27103)
                #3  0x00007fe52dcde256 g_async_queue_timeout_pop (libglib-2.0.so.0 + 0x27256)
                #4  0x00007fe52dd43faf g_thread_pool_thread_proxy.lto_priv.0 (libglib-2.0.so.0 + 0x8cfaf)
                #5  0x00007fe52dd419f3 g_thread_proxy (libglib-2.0.so.0 + 0x8a9f3)
                #6  0x00007fe53dcae947 start_thread (libc.so.6 + 0x8c947)
                #7  0x00007fe53dd34860 __clone3 (libc.so.6 + 0x112860)
                
                Stack trace of thread 725923:
                #0  0x00007fe53dd2734d __poll (libc.so.6 + 0x10534d)
                #1  0x00007fe52dd71629 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xba629)
                #2  0x00007fe52dd10b83 g_main_context_iteration (libglib-2.0.so.0 + 0x59b83)
                #3  0x00007fe52dd10bd9 glib_worker_main (libglib-2.0.so.0 + 0x59bd9)
                #4  0x00007fe52dd419f3 g_thread_proxy (libglib-2.0.so.0 + 0x8a9f3)
                #5  0x00007fe53dcae947 start_thread (libc.so.6 + 0x8c947)
                #6  0x00007fe53dd34860 __clone3 (libc.so.6 + 0x112860)
                
                Stack trace of thread 725924:
                #0  0x00007fe53dd2734d __poll (libc.so.6 + 0x10534d)
                #1  0x00007fe52dd71629 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xba629)
                #2  0x00007fe52dd12aff g_main_loop_run (libglib-2.0.so.0 + 0x5baff)
                #3  0x00007fe52d8ad7b2 gdbus_shared_thread_func.lto_priv.0 (libgio-2.0.so.0 + 0x11a7b2)
                #4  0x00007fe52dd419f3 g_thread_proxy (libglib-2.0.so.0 + 0x8a9f3)
                #5  0x00007fe53dcae947 start_thread (libc.so.6 + 0x8c947)
                #6  0x00007fe53dd34860 __clone3 (libc.so.6 + 0x112860)
                
                Stack trace of thread 725938:
                #0  0x00007fe53dd2734d __poll (libc.so.6 + 0x10534d)
                #1  0x00007fe52dd71629 g_main_context_iterate.isra.0 (libglib-2.0.so.0 + 0xba629)
                #2  0x00007fe52dd10b83 g_main_context_iteration (libglib-2.0.so.0 + 0x59b83)
                #3  0x00007fe52815d5c5 dconf_gdbus_worker_thread (libdconfsettings.so + 0x75c5)
                #4  0x00007fe52dd419f3 g_thread_proxy (libglib-2.0.so.0 + 0x8a9f3)
                #5  0x00007fe53dcae947 start_thread (libc.so.6 + 0x8c947)
                #6  0x00007fe53dd34860 __clone3 (libc.so.6 + 0x112860)
                
                Stack trace of thread 725922:
                #0  0x00007fe53dd2cb4d syscall (libc.so.6 + 0x10ab4d)
                #1  0x00007fe52dd687bd g_cond_wait (libglib-2.0.so.0 + 0xb17bd)
                #2  0x00007fe52dcde13b g_async_queue_pop_intern_unlocked (libglib-2.0.so.0 + 0x2713b)
                #3  0x00007fe52dd435d3 g_thread_pool_spawn_thread (libglib-2.0.so.0 + 0x8c5d3)
                #4  0x00007fe52dd419f3 g_thread_proxy (libglib-2.0.so.0 + 0x8a9f3)
                #5  0x00007fe53dcae947 start_thread (libc.so.6 + 0x8c947)
                #6  0x00007fe53dd34860 __clone3 (libc.so.6 + 0x112860)
                ELF object binary architecture: AMD x86-64

GNU gdb (GDB) Fedora Linux 13.2-6.fc38
Copyright (C) 2023 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/python3.11...
Reading symbols from /home/tarulia/.cache/debuginfod_client/68dbf1c2fdfa0701964120231a7af395fae67499/debuginfo...       
                                                                                                                        
warning: Can't open file /memfd:libffi (deleted) during file-backed mapping note processing

warning: Can't open file /SYSV00000000 (deleted) during file-backed mapping note processing
[New LWP 725919]
[New LWP 725930]
[New LWP 725923]
[New LWP 725924]
[New LWP 725938]
[New LWP 725922]

warning: Section `.reg-xstate/725919' in core file too small.
                                                                                                                        --Type <RET> for more, q to quit, c to continue without paging--c
[Thread debugging using libthread_db enabled]                                                                           
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `deluge-gtk                      '.
Program terminated with signal SIGSEGV, Segmentation fault.

warning: Section `.reg-xstate/725919' in core file too small.
#0  __strlen_avx2 () at ../sysdeps/x86_64/multiarch/strlen-avx2.S:76
76              VPCMPEQ (%rdi), %ymm0, %ymm1                                                                            
[Current thread is 1 (Thread 0x7fe53e412740 (LWP 725919))]
(gdb)

I am in Thin Client mode connected to a Daemon running in the same network.

comment:7 Changed 7 months ago by Cas

  • Milestone changed from needs verified to 2.1.2
  • Resolution set to Fixed
  • Status changed from new to closed

Piecesbar crashes should be resolved by this fix [18dca700846]

Note: See TracTickets for help on using tickets.